%define upstream_name pdfminer

Name:           python-%{upstream_name}
Version:        20110515
Release:        3.art
Summary:        PDF parser and analyzer
Group:          Development/Python
License:        MIT
URL:            https://pypi.python.org/pypi/pdfminer
Source0:        https://pypi.python.org/packages/source/p/pdfminer/pdfminer-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools

%description
PDFMiner is a tool for extracting information from PDF documents. Unlike other
PDF-related tools, it focuses entirely on getting and analyzing text data.
PDFMiner allows to obtain the exact location of texts in a page, as well as
other information such as fonts or lines. It includes a PDF converter that can
transform PDF files into other text formats (such as HTML). It has an
extensible PDF parser that can be used for other purposes instead of text
analysis.

%prep
%setup -q -n %{upstream_name}-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT

%files
%doc README.txt
%{_bindir}/dumppdf.py
%{_bindir}/latin2ascii.py
%{_bindir}/pdf2txt.py
%{python_sitelib}/pdfminer
%{python_sitelib}/pdfminer-%{version}-*.egg-info


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 20110515-3.mga4
+ Revision: 544067
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 20110515-2.mga4
+ Revision: 499111
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Aug 21 2013 guillomovitch <guillomovitch> 20110515-1.mga4
+ Revision: 468887
- imported package python-pdfminer

